/*-------------------------轮播模块start---------------------------*/
.main {
    width: 980px;
    height: 455px;
    margin-left: 220px;
    margin-top: 10px;
}

/* 轮播图 */
.focus {
    /* 浮动横着排列 */
    float: left;
    width: 721px;
    height: 455px;
}
/*-------------------------轮播模块end----------------------------*/

/*-------------------------快报模块整体start----------------------*/
/* 快报整体 */
.newsflash {
    /* 浮动横着排列 */
    float: right;
    width: 250px;
    height: 455px;
}

/* 顶上快报新闻整体 */
.news {
    height: 165px;  
    /* background-color: purple; */
    border: 1px solid #e4e4e4;
}

/* 新闻标题整体  */
.news-hd {
    height: 33px;
    line-height: 33px;
    padding: 0 15px;
    /* 下边框 */
    border-bottom: 1px dotted #e4e4e4;
}

/* 新闻标题---h5标题 */
.news-hd h5 {
    float: left;
    font-size: 14px;
}

/* 新闻标题---右侧箭头 */
.news-hd .more {
    float: right;
}

/* 新闻标题---右侧箭头伪元素 */
.news-hd .more::after {
    font-family: 'icomoon';
    content: '\e920';
    font-size: 20px;
}

/* 新闻身体整体 */
.news-bd {
    padding: 5px 15px 0;
}

/* 新闻身体----单条新闻 */
.news-bd ul li {
    height: 24px;
    line-height: 24px;
    /* 01.文字溢出溢出隐藏 */
    overflow: hidden;
    /* 02.只允许一行显示，不允许换行 */
    white-space: nowrap;
    /* 03.超出部分省略号显示 */
    text-overflow: ellipsis;
}

/* 12个小盒子整体 */
.lifeservice {
    /* 此举意在将12个小盒子溢出的部分切掉 */
    overflow: hidden;
    height: 209px;
    /* background-color: sandybrown; */
    border: 1px solid #e4e4e4;
    border-top: 0;
}

/* 12个小个子ul */
.lifeservice ul {
    width: 252px;
}

/* 作用同上，二选一 */
/*
.lifeservice ul li:nth-child(4n) {
    width: 59px;
}
*/

/* 每一个小盒子 */
.lifeservice ul li {
    float: left;
    width: 63px;
    height: 71px;
    border-right: 1px solid #e4e4e4;
    border-bottom: 1px solid #e4e4e4;
    /* 里面的元素居中显示 */
    text-align: center;
}

/* i的通用属性设置 */
.lifeservice ul li i {
    display: inline-block;
    width: 24px;
    height: 28px;
    margin-top: 12px;
}

/* 第1个i */
.lifeservice ul li:nth-child(1) i {
    background: url(../images/icons.png) no-repeat -17px -13px;
}

/* 第2个i */
.lifeservice ul li:nth-child(2) i {
    background: url(../images/icons.png) no-repeat -81px -13px;
}

/* 第3个i */
.lifeservice ul li:nth-child(3) i {
    background: url(../images/icons.png) no-repeat -141px -13px;
}

/* 第4个i */
.lifeservice ul li:nth-child(4) i {
    background: url(../images/icons.png) no-repeat -204px -13px;
}

/* 第5个i */
.lifeservice ul li:nth-child(5) i {
    background: url(../images/icons.png) no-repeat -17px -85px;
}

/* 第6个i */
.lifeservice ul li:nth-child(6) i {
    background: url(../images/icons.png) no-repeat -77px -85px;
}

/* 第7个i */
.lifeservice ul li:nth-child(7) i {
    background: url(../images/icons.png) no-repeat -141px -85px;
}

/* 第8个i */
.lifeservice ul li:nth-child(8) i {
    background: url(../images/icons.png) no-repeat -208px -85px;
}

/* 第9个i */
.lifeservice ul li:nth-child(9) i {
    background: url(../images/icons.png) no-repeat -17px -157px;
}

/* 第10个i */
.lifeservice ul li:nth-child(10) i {
    background: url(../images/icons.png) no-repeat -79px -157px;
}

/* 第11个i */
.lifeservice ul li:nth-child(11) i {
    background: url(../images/icons.png) no-repeat -140px -157px;
}

/* 第12个i */
.lifeservice ul li:nth-child(12) i {
    background: url(../images/icons.png) no-repeat -207px -161px;
}

.bargain {
    /* 与上一个盒子的底部间距 */
    margin-top: 5px;
}
/*-------------------------快报模块整体end-------------------------*/

/* --------------------------推荐模块start------------------------ */
/* 推荐模块整体 */
.recom {
    /* 宽度与版心同宽度 */
    height: 163px;
    background-color: #ebebeb;
    /* 上边距 */
    margin-top: 12px;
}

/* 推荐模块左侧整体 */
.recom-hd {
    float: left;
    width: 205px;
    height: 163px;
    background-color: powderblue;
    /* 使子元素居中对齐 */
    text-align: center;
    /* 盒子上内边距，虽然里面img，但是也当文字处理 */
    padding-top: 30px;
}

/* 推荐模块右侧整体 */
.recom-bd {
    float: left;
}

/* 右侧的四个li */
.recom-bd ul li {
    position: relative;
    float: left;
}

/* 强制图片宽高，防止图片大小不一 */
.recom-bd ul li img {
    width: 248px;
    height: 163px;
}

/* 小竖线 从3 2 1 0 -1 -2 ... */
.recom-bd ul li:nth-child(-n+3)::after {
    /* 竖线定位 */
    content: '';
    position: absolute;
    top: 10px;
    right: 0;
    width: 1px;
    height: 145px;
    background-color: skyblue;
}
/* --------------------------推荐模块end-------------------------- */

/* -------------------------楼层区域主体start-------------------------- */
/* 楼层区域主体 */
.floor  .w {
    /* 不要高度，方便扩展 */
    margin-top: 30px;

}

/* 楼房中最后一个楼层外下边距，与footer隔开 */
.floor div:last-child {
    margin-bottom: 20px;
}

/* 家用电器模块 */
.box-hd {
    height: 30px;
    /* 下边框 */
    border-bottom: 2px solid #c81623;
}

.box-hd h3 {
    float: left;
    font-size: 18px;
    color: #c81623;
    /* 不加粗 */
    font-weight: 400;
}

/* 右侧列表 */
.tab-list {
   float: right; 
}

.tab-list ul li {
    float: left;
    line-height: 30px;
}

/* 将所有偶数的li添加竖线 从右往左数偶数 2 4 6 8 10 */
.tab-list ul li:nth-child(even) {
    width: 1px;
    height: 12px;
    background-color: #666;
    /* 左右撑开，避免与文字黏在一起；上边距撑开，避免与上下边框粘在一起 */
    margin: 9px 15px 0;
}

/* 身体部分 */
.box-bd {
    height: 361px;
    /* background-color: aqua; */
}

.tab-list-item>div {
    float: left;
}

.col-210 {
    width: 210px;
    /* 高度与父亲一样高 */
    height: 361px;
    background-color: #f9f9f9;
    text-align: center;
}


.col-210 ul {
    padding-left: 12px;
}

.col-210 ul li {
    /* 加浮动,a会自动变成两列 */
    float: left;
    width: 85px;
    height: 34px;
    border-bottom: 1px solid #ccc;
    text-align: center;
    line-height: 33px;
    margin-right: 10px;
}

.col-329 {
    width: 329px;
}

.col-221 {
    width: 221px;
    border-right: 1px solid #ccc;
}

.col-219 {
    width: 219px;
}

/* 单张图片加外下边框 */
.bb {
    border-bottom: 1px solid #ccc;
}
/* -------------------------楼层区域主体end -------------------------- */

